<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/acmp.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">acmp.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series Analog Comparator(ACMP) driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for acmp.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../df/dea/acmp_8c__incl.png" border="0" usemap="#a_std_driver_2src_2acmp_8c" alt=""/></div>
</div>
</div>
<p><a href="../../d3/df1/acmp_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga7505028ec73e3c2360b07efd08a61b14"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">ACMP_Open</a> (<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum, uint32_t u32NegSrc, uint32_t u32HysteresisEn)</td></tr>
<tr class="memdesc:ga7505028ec73e3c2360b07efd08a61b14"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function open and configure comparator parameters.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7505028ec73e3c2360b07efd08a61b14">More...</a><br /></td></tr>
<tr class="separator:ga7505028ec73e3c2360b07efd08a61b14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">ACMP_Close</a> (<a class="el" href="../../d1/d99/struct_a_c_m_p___t.html">ACMP_T</a> *Acmp, uint32_t u32ChNum)</td></tr>
<tr class="memdesc:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function close comparator.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27fe67fe691fb1142b7f383b2e9986d1">More...</a><br /></td></tr>
<tr class="separator:ga27fe67fe691fb1142b7f383b2e9986d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga032491a1eaec095524ca772e101bbc00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">ACMP_SetSigmaDeltaConv</a> (uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</td></tr>
<tr class="memdesc:ga032491a1eaec095524ca772e101bbc00"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure ACMP to sigma-delta mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga032491a1eaec095524ca772e101bbc00">More...</a><br /></td></tr>
<tr class="separator:ga032491a1eaec095524ca772e101bbc00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">ACMP_SetSlopeConv</a> (uint32_t u32TimerNum, uint32_t u32TriggerPolarity, uint32_t u32PosPin, uint32_t u32ChargePin)</td></tr>
<tr class="memdesc:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure ACMP to slope mode.  <a href="../../dd/dd6/group___n_a_n_o1_x2___a_c_m_p___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac937fcc295fb0019f6b5bacbbbd63c58">More...</a><br /></td></tr>
<tr class="separator:gac937fcc295fb0019f6b5bacbbbd63c58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series Analog Comparator(ACMP) driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>20 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/16 11:09a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d3/df1/acmp_8c_source.html">acmp.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
